#Letsencrypt container 

run this as a regular container via cron job

note that this container only takes 2 parameters, so we can use --staging and --merge. maybe we should build our own.

todo: set this up as a cron

#install new certs
```
DOCKER_HOST=dkhost:2376 docker run -d \
    -p 83:80 \
    --name letsencrypt \
    -e "LETSENCRYPT_HTTPS_ENABLED=false" \
    -v /opt/shared/letsencrypt-2:/etc/letsencrypt \
    -e "LETSENCRYPT_EMAIL=r_morgan@sympatico.ca" \
    -e "LETSENCRYPT_DOMAIN1=xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN2=git.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN3=xaibox.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN4=dkui.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN5=dkregistry.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN6=fs.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN7=jenkins.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN8=sql.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN9=www.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN90=office.xai-corp.net" \
    blacklabelops/letsencrypt install
```

```
DOCKER_HOST=dkhost:2376 docker run -d \
    -p 83:80 \
    --name letsencrypt_updates \
    -e "LETSENCRYPT_HTTPS_ENABLED=false" \
    -v /opt/shared/letsencrypt-2:/etc/letsencrypt \
    -e "LETSENCRYPT_EMAIL=r_morgan@sympatico.ca" \
    -e "LETSENCRYPT_DOMAIN1=xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN2=git.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN3=xaibox.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN4=dkui.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN5=dkregistry.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN6=fs.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN7=jenkins.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN8=sql.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN9=www.xai-corp.net" \
    -e "LETSENCRYPT_DOMAIN10=office.xai-corp.net" \
    blacklabelops/letsencrypt
```
